<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <com.seatel.mobilehall.util.customview.CustomTextView
        android:id="@+id/text_add_on"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="10dp"
        android:layout_marginBottom="10dp"
        android:clickable="false"
        android:gravity="center"
        android:text="@string/please_select_add_on"
        android:textSize="@dimen/small_text_size" />

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        app:cardCornerRadius="4dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:background="?android:attr/selectableItemBackground"
            android:orientation="horizontal"
            android:padding="12dp">

            <ImageView
                android:id="@+id/image_plan_icon"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:src="@drawable/ic_one_plan"
                tools:ignore="ContentDescription" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_plan_subscription"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="15dp"
                android:maxLines="1"
                android:textColor="@android:color/black" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_default"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:layout_weight="1"
                android:maxLines="1"
                android:text="@string/default_double"
                android:textSize="@dimen/small_text_size"
                android:textStyle="italic"
                android:visibility="visible"
                tools:ignore="HardcodedText" />

            <ImageView
                android:id="@+id/image_selected"
                android:layout_width="18dp"
                android:layout_height="18dp"
                android:layout_gravity="center_vertical"
                android:src="@drawable/ic_confirm"
                android:visibility="visible"
                tools:ignore="ContentDescription"
                app:tint="@color/colorPrimary" />

        </LinearLayout>

    </androidx.cardview.widget.CardView>
</LinearLayout>